import request from '@/utils/request'

// 查询药品库列表
export function listBaseDrug(query) {
    return request({
        url: '/system/baseDrug/list',
        method: 'get',
        params: query
    })
}

// 查询药品库详细
export function getBaseDrug(id) {
    return request({
        url: '/system/baseDrug/' + id,
        method: 'get'
    })
}

// 新增药品库
export function addBaseDrug(data) {
    return request({
        url: '/system/baseDrug/add',
        method: 'post',
        data: data
    })
}

// 修改药品库
export function updateBaseDrug(data) {
    return request({
        url: '/system/baseDrug/edit',
        method: 'put',
        data: data
    })
}

// 删除药品库
export function delBaseDrug(id) {
    return request({
        url: '/system/baseDrug/' + id,
        method: 'delete'
    })
}
